## org.apache.lucene.util
Class ByteBlockPool.DirectTrackingAllocator

    java.lang.Object
      org.apache.lucene.util.ByteBlockPool.Allocator
          org.apache.lucene.util.ByteBlockPool.DirectTrackingAllocator

Enclosing class:
  ByteBlockPool

    public static class ByteBlockPool.DirectTrackingAllocator

extends ByteBlockPool.Allocator

A simple `ByteBlockPool.Allocator` that never recycles, but tracks how much total RAM is in use.

Field Summary

Fields inherited from class org.apache.lucene.util.ByteBlockPool.Allocator
`blockSize`

Constructor Summary
`ByteBlockPool.DirectTrackingAllocator(Counter bytesUsed)`
`ByteBlockPool.DirectTrackingAllocator(int blockSize, Counter bytesUsed)`

Method Summary
`byte[]` `getByteBlock()`
`void` `recycleByteBlocks(byte[][] blocks, int start, int end)`

Methods inherited from class org.apache.lucene.util.ByteBlockPool.Allocator
`recycleByteBlocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteBlockPool.DirectTrackingAllocator

    public ByteBlockPool.DirectTrackingAllocator(Counter bytesUsed)

### ByteBlockPool.DirectTrackingAllocator

    public ByteBlockPool.DirectTrackingAllocator(int blockSize,
                                                 Counter bytesUsed)

Method Detail

### getByteBlock

    public byte[] getByteBlock()

  Overrides:
    `getByteBlock` in class `ByteBlockPool.Allocator`

### recycleByteBlocks

    public void recycleByteBlocks(byte[][] blocks,
                                  int start,
                                  int end)

  Specified by:
    `recycleByteBlocks` in class `ByteBlockPool.Allocator`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.